Bug 1866605 - No metadata.generation set for build and buildconfig objects
Summary: No metadata.generation set for build and buildconfig objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Corey Daley
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-06 03:24 UTC by XiuJuan Wang
Modified: 2021-02-24 15:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:15:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 149 0 None closed Bug 1866605: metadata.generation not getting set/updated 2021-02-02 19:00:27 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:15:49 UTC

Description XiuJuan Wang 2020-08-06 03:24:26 UTC
Description of problem:
When check openshift_build_metadata_generation_info metric, no metadata.generation set for the build and buildconfig.

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-03-225825

How reproducible:
always

Steps to Reproduce:
1.Trigger some builds
2.Check openshift_build_metadata_generation_info metric on metrics page of openshift console
3.

Actual results:

the metadata_generation_info is zero

openshift_build_metadata_generation_info{build="dancer-mysql-example-1",buildconfig="dancer-mysql-example",endpoint="https-main",instance="10.128.2.6:8443",job="openshift-state-metrics",namespace="xiuwang",pod="openshift-state-metrics-654ddc567f-zd642",service="openshift-state-metrics",strategy="source"} 0
openshift_build_metadata_generation_info{build="openshift-jee-sample-1",buildconfig="openshift-jee-sample",endpoint="https-main",instance="10.128.2.6:8443",job="openshift-state-metrics",namespace="xiuwang",pod="openshift-state-metrics-654ddc567f-zd642",service="openshift-state-metrics",strategy="jenkinspipeline"} 0
openshift_build_metadata_generation_info{build="openshift-jee-sample-docker-1",buildconfig="openshift-jee-sample-docker",endpoint="https-main",instance="10.128.2.6:8443",job="openshift-state-metrics",namespace="xiuwang",pod="openshift-state-metrics-654ddc567f-zd642",service="openshift-state-metrics",strategy="docker"} 0

Expected results:
Should set metadata.generation set for build and buildconfig objects

Additional info:

Comment 1 Adam Kaplan 2020-08-06 11:46:46 UTC
Downgrading this to low priority. This issue has probably existed for a long time, and has no impact on the execution of builds.

Generation is a standard metadata field and should monotonically increment with changes to `spec`.

Comment 6 XiuJuan Wang 2020-11-05 05:57:41 UTC
Verified with 4.7.0-0.nightly-2020-11-05-010603

openshift_build_metadata_generation_info{build="openshift-jee-sample-1",buildconfig="openshift-jee-sample",container="kube-rbac-proxy-main",endpoint="https-main",instance="10.131.0.7:8443",job="openshift-state-metrics",namespace="xiuwang",pod="openshift-state-metrics-696b5dd9df-6kcb2",service="openshift-state-metrics",strategy="jenkinspipeline"}	1
openshift_build_metadata_generation_info{build="openshift-jee-sample-docker-1",buildconfig="openshift-jee-sample-docker",container="kube-rbac-proxy-main",endpoint="https-main",instance="10.131.0.7:8443",job="openshift-state-metrics",namespace="xiuwang",pod="openshift-state-metrics-696b5dd9df-6kcb2",service="openshift-state-metrics",strategy="docker"}	2
openshift_build_metadata_generation_info{build="ruby-hello-world-1",buildconfig="ruby-hello-world",container="kube-rbac-proxy-main",endpoint="https-main",instance="10.131.0.7:8443",job="openshift-state-metrics",namespace="xiuwang",pod="openshift-state-metrics-696b5dd9df-6kcb2",service="openshift-state-metrics",strategy="source"}	2

Comment 9 errata-xmlrpc 2021-02-24 15:15:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.